package ru.shine.promo.service;

import org.springframework.http.HttpStatus;

public class PromoException extends RuntimeException {

    private final HttpStatus status;

    public PromoException(HttpStatus status, String message) {
        super(message);
        this.status = status;
    }

    public PromoException(HttpStatus status, String message, Throwable cause) {
        super(message, cause);
        this.status = status;
    }

    public HttpStatus getStatus() {
        return status;
    }
}
